# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mesa"
version = "0.42.3-beta.90"
authors = ["Manuel Sopena Ballesteros <msopena@cscs.ch>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A library for Shasta"
homepage = "https://github.com/eth-cscs/mesa/blob/main/README.md"
documentation = "https://github.com/eth-cscs/mesa/blob/main/README.md"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/eth-cscs/mesa"

[lib]
name = "mesa"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.44"
default-features = false

[dependencies.aws-config]
version = "1.1.2"
default-features = false

[dependencies.aws-sdk-s3]
version = "1.12.0"
features = ["rustls"]
default-features = false

[dependencies.aws-smithy-runtime]
version = "1.0.1"

[dependencies.aws-smithy-types]
version = "1.1.2"
features = ["rt-tokio"]

[dependencies.backend-dispatcher]
version = "0.1.53"

[dependencies.base64]
version = "0.13.1"
default-features = false

[dependencies.chrono]
version = "0.4.31"
default-features = false

[dependencies.config]
version = "0.13.2"
features = ["ron"]
default-features = false

[dependencies.dialoguer]
version = "0.10.2"
features = ["password"]
default-features = false

[dependencies.directories]
version = "4.0.1"

[dependencies.futures]
version = "0.3.28"
default-features = false

[dependencies.git2]
version = "0.18.1"
default-features = false

[dependencies.globset]
version = "0.4.14"
default-features = false

[dependencies.hostlist-parser]
version = "0.1.6"

[dependencies.humansize]
version = "2.0.0"

[dependencies.hyper]
version = "0.14"

[dependencies.hyper-rustls]
version = "0.24.0"
default-features = false

[dependencies.hyper-socks2]
version = "0.8.0"
default-features = false

[dependencies.indicatif]
version = "0.17.7"
default-features = false

[dependencies.k8s-openapi]
version = "0.20.0"
features = ["v1_26"]

[dependencies.kube]
version = "0.87.2"
features = ["ws"]

[dependencies.log]
version = "0.4.17"

[dependencies.log4rs]
version = "1.2.0"

[dependencies.md5]
version = "0.7.0"
default-features = false

[dependencies.regex]
version = "1.6.0"

[dependencies.reqwest]
version = "0.11"
default-features = false

[dependencies.rustls-pemfile]
version = "1.0.3"

[dependencies.secrecy]
version = "0.8.0"
default-features = false

[dependencies.serde]
version = "1.0.145"
default-features = false

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_yaml]
version = "0.9.17"

[dependencies.strum]
version = "0.25.0"
default-features = false

[dependencies.strum_macros]
version = "0.25"

[dependencies.substring]
version = "1.4.5"

[dependencies.termion]
version = "2.0.1"

[dependencies.thiserror]
version = "1.0.56"

[dependencies.tokio]
version = "1.14"
features = ["full"]

[dependencies.tokio-rustls]
version = "0.24.0"
default-features = false

[dependencies.tokio-stream]
version = "0.1.11"
default-features = false

[dependencies.tokio-util]
version = "0.7.4"

[dependencies.tower]
version = "0.4.13"
default-features = false

[dependencies.uuid]
version = "1.10.0"
features = [
    "fast-rng",
    "v4",
]

[profile.dist]
lto = "thin"
inherits = "release"

[profile.release]
opt-level = "s"
debug = 1
